#include "StdAfx.h"
#include "PadMainWindow.h"
#include "SyncPreviewAction.h"

namespace tipuio {

REGISTER_COMPONENT_CREATOR(_T("PadMainWindow"), PadMainWindow);	

PadMainWindow::PadMainWindow(void)
{
}

PadMainWindow::~PadMainWindow(void)
{
}
void PadMainWindow::OnCreate()
{
	m_Timer.SetTimer(0, 1000, TIMER_SYNC, dynamic_cast<INPTimerHandler*>(this));	
}
void PadMainWindow::OnDestroy()
{
	m_Timer.StopTimer();
}
BOOL PadMainWindow::OnTimer( DWORD dwTimerID)
{
	if (dwTimerID == TIMER_SYNC)
	{
		AbstractCommand* command = TipCommandFactory::get_instance()->CreateAction(_T("SyncPreviewAction"));
		if (command != NULL)
		{
			command->Execute();
		}
	}
	return TRUE;
}

};